/*
 * Copyright (c) 1996-2007, OpenFWTK Development Group
 * All rights reserved. See LICENSE.
 */

/*
 * Stub routines for newio.c
 * newio.c: This is some handy stuff to deal with file descriptors in a way
 * much like stdio's FILE pointers 
 *
 */

#include <ctype.h>

#include <sys/time.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include "newio.h"

extern time_t sotimeout(int);
extern int sogets(int, char *, int);



extern	time_t
dgets_timeout(sec)
int	sec;
{
	return(sotimeout(sec));
}

void init_io()
{
	return;
}

void reinit_io()
{
	return;
}

int
dgets(str, len, des, specials)
char *str, *specials;
int	len, des;
{
	return(sogets(des, str, len));
}

int
new_select(rd, wd, timeout)
fd_set *rd, *wd;
struct	timeval	*timeout;
{
	return 0;
}

void
new_close(des)
int	des;
{
	return;
}

